Package com.databend.jdbc

# Class LoggerUtil

java.lang.Object
com.databend.jdbc.LoggerUtil

public class LoggerUtil extends Object

## Constructor Summary

Constructors
Constructor
Description
`LoggerUtil()`

## Method Summary

Modifier and Type
Method
Description
`static DatabendLogger`
`getLogger(String name)`
Provides a `DatabendLogger` based on whether SLF4J is available or not.
`InputStream`
`logInputStream(InputStream is)`
Logs the `InputStream`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### LoggerUtil

public LoggerUtil()

## Method Details

### getLogger

public static DatabendLogger getLogger(String name)
Provides a `DatabendLogger` based on whether SLF4J is available or not.

Parameters:
  `name` - logger name
Returns:
  a `DatabendLogger`

### logInputStream

public InputStream logInputStream(InputStream is)
Logs the `InputStream`

Parameters:
  `is` - the `InputStream`
Returns:
  a copy of the `InputStream` provided